import { __decorate, __metadata } from "tslib";
import { h, Host } from "@stencil/core";
import { Logger } from "../../../utils/log";
import { BEM } from "../../../utils/bem";
export class NavLinkGrid {
    createLogger(log) {
        this.log = log;
    }
    /**
     * RENDER
     * ------------------------------------------------------
     */
    render() {
        const block = BEM.block('nav-link-grid');
        return (h(Host, { key: 'cf120f164d237ac949800e041f354c577ec9a4c2', class: Object.assign({}, block.class()) }, h("slot", { key: 'c8b40348d598dc98dc5d1cdbd61a5dc57736041a' })));
    }
    static get is() { return "bal-nav-link-grid"; }
    static get originalStyleUrls() {
        return {
            "$": ["bal-nav-link-grid.sass"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["bal-nav-link-grid.css"]
        };
    }
}
__decorate([
    Logger('bal-nav-link-grid'),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Function]),
    __metadata("design:returntype", void 0)
], NavLinkGrid.prototype, "createLogger", null);
